<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Obat extends Model
{
    use HasFactory, SoftDeletes;

    protected $guarded = [];

    public function kategori(){
        return $this->belongsTo(KategoriObat::class, 'kategori_obat_id')->withTrashed();
    }

    public function rekamMedis(){
        return $this->hasMany(ObatRekamMedis::class);
    }

    public function getTerlarisAttribute(){
        return count($this->rekamMedis);
    }
}
