<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRekamMedisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rekam_medis', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nomor_rekam_medis');
            $table->unsignedInteger('pasien_id');
            $table->text('keluhan');
            $table->text('diagnosa');
            $table->text('penanganan');
            $table->date('tgl_periksa');
            $table->integer('total');
            $table->foreign('pasien_id')->references('id')->on('pasiens');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rekam_medis');
    }
}
