@extends('layouts.index')

@push('style')
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.1.0/css/buttons.dataTables.min.css">
@endpush

@section('content')

<div class="row mb-4">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <form style="width: 100%;" method="GET">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-3">
                                <label for="tahun" class="form-control-label">Pilih Tahun : </label>
                                <select name="tahun" class="form-control select2" data-toggle="select">
                                  <option value="">Pilih Tahun</option>
                                  @for ($i=2020;$i<=date('Y');$i++)
                                      <option value="{{ $i }}" 
                                      @if(@$_GET['tahun'])  
                                        @if($i == @$_GET['tahun']) selected @endif
                                      @elseif($i == date('Y'))  
                                      selected
                                      @endif  >{{ $i }}</option>
                                  @endfor
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-12">
                            <button class="btn btn-info btn-sm" type="submit">Tampil</button>
                            <a href="{{ url()->current() }}" class="btn btn-info btn-sm">Refresh</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- DataTable with Hover -->
    <div class="col-lg-12">
        <div class="card mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">{{ $title }} Utama</h6>
            </div>
            <div class="table-responsive p-3">
                <table class="table align-items-center table-flush table-hover dataTableLaporan">
                    <thead class="thead-light">
                        <tr>
                            <th>#</th>
                            <th>Nama Terapis</th>
                            <th>Alamat</th>
                            <th>No Hp</th>

                            <th>Sebagai Terapis Utama Bulan Jan</th>
                            <th>Sebagai Terapis Utama Bulan Feb</th>
                            <th>Sebagai Terapis Utama Bulan Mar</th>
                            <th>Sebagai Terapis Utama Bulan Apr</th>
                            <th>Sebagai Terapis Utama Bulan May</th>
                            <th>Sebagai Terapis Utama Bulan Jun</th>
                            <th>Sebagai Terapis Utama Bulan Jul</th>
                            <th>Sebagai Terapis Utama Bulan Aug</th>
                            <th>Sebagai Terapis Utama Bulan Sept</th>
                            <th>Sebagai Terapis Utama Bulan Okt</th>
                            <th>Sebagai Terapis Utama Bulan Nov</th>
                            <th>Sebagai Terapis Utama Bulan Dec</th>
                            <th>Total Setahun</th>
                            {{-- <th>Bonus Bulan Ini (Poi)</th> --}}
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($datas as $data)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $data->nama_dokter }}</td>
                            <td>{{ $data->alamat }}</td>
                            <td>{{ $data->no_hp }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(1, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(2, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(3, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(4, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(5, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(6, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(7, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(8, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(9, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(10, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(11, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaBulanAttribute(12, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananUtamaTahunAttribute(@$GET_['tahun']) }}</td>
                            {{-- <td>Rp. {{ number_format($data->total_pelayanan_bulan_ini * 75000 ) }</td> --}}
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <!-- DataTable with Hover -->
    <div class="col-lg-12">
        <div class="card mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">{{ $title }} Asisten</h6>
            </div>
            <div class="table-responsive p-3">
                <table class="table align-items-center table-flush table-hover dataTableLaporan">
                    <thead class="thead-light">
                        <tr>
                            <th>#</th>
                            <th>Nama Terapis</th>
                            <th>Alamat</th>
                            <th>No Hp</th>
                            <th>Sebagai Terapis Asisten Bulan Jan</th>
                            <th>Sebagai Terapis Asisten Bulan Feb</th>
                            <th>Sebagai Terapis Asisten Bulan Mar</th>
                            <th>Sebagai Terapis Asisten Bulan Apr</th>
                            <th>Sebagai Terapis Asisten Bulan May</th>
                            <th>Sebagai Terapis Asisten Bulan Jun</th>
                            <th>Sebagai Terapis Asisten Bulan Jul</th>
                            <th>Sebagai Terapis Asisten Bulan Aug</th>
                            <th>Sebagai Terapis Asisten Bulan Sept</th>
                            <th>Sebagai Terapis Asisten Bulan Okt</th>
                            <th>Sebagai Terapis Asisten Bulan Nov</th>
                            <th>Sebagai Terapis Asisten Bulan Dec</th>
                            <th>Total Setahun</th>
                            {{-- <th>Bonus Bulan Ini (Poin)</th> --}}
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($datas as $data)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $data->nama_dokter }}</td>
                            <td>{{ $data->alamat }}</td>
                            <td>{{ $data->no_hp }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(1, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(2, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(3, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(4, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(5, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(6, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(7, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(8, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(9, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(10, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(11, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenBulanAttribute(12, @$GET_['tahun']) }}</td>
                            <td>{{ $data->getTotalPelayananAsistenTahunAttribute(@$GET_['tahun']) }}</td>                            {{-- <td>Rp. {{ number_format($data->total_pelayanan_bulan_ini * 75000 ) }}</td> --}}
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

@endsection

@push('script')
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.3.1/js/dataTables.buttons.min.js"></script> 
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.html5.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.print.min.js"></script>
@endpush