<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12">
        <form method="POST" action="<?php echo e(route('rekam_medis.update', $rekam_medis->id)); ?>" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <?php echo e(method_field('PUT')); ?>

        <!-- Form Basic -->
        <div class="card mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary"><?php echo e($title); ?></h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="form-group">
                            <label for="nomor_rekam_medis"> Nomor Rekam Medis</label>
                            <input type="text" name="nomor_rekam_medis" class="form-control" id="nomor_rekam_medis" placeholder="Nomor Pasien" value="<?php echo e($rekam_medis->nomor_rekam_medis); ?>" readonly required>
                        </div>
    
                        <div class="form-group">
                            <label for="tgl_periksa"> Tgl Periksa</label>
                            <input type="text" name="tgl_periksa" class="form-control date" id="tgl_periksa" value="<?php echo e(old('tgl_periksa', $rekam_medis->tgl_periksa)); ?>" required>
                        </div>
    
                        <div class="form-group">
                            <label for="pasien_id">Pilih Pasien</label>
                            <select name="pasien_id" class="form-control select2" required>
                                <option value="">Pilih Pasien</option>
                                <?php $__currentLoopData = $pasiens; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pasien): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($pasien->id); ?>" <?php if($pasien->id == old('pasien_id', $rekam_medis->pasien_id) ): ?> selected <?php endif; ?>><?php echo e($pasien->nama_pasien); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="dokter_id[]">Pilih Terapis</label>
                            <select name="dokter_id[]" class="form-control select2" multiple required>
                                <?php $__currentLoopData = $dokters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dokter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($dokter->id); ?>" <?php if( in_array($dokter->id, $rekam_medis->dokter_id) ): ?> selected <?php endif; ?>><?php echo e($dokter->nama_dokter); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>

                    <div class="col-lg-6">
                        <div class="form-group">
                            <label for="keluhan">Keluhan</label>
                            <textarea name="keluhan" class="form-control" id="keluhan" rows="2" required><?php echo e(old('keluhan', $rekam_medis->keluhan)); ?></textarea>
                        </div>
    
                        <div class="form-group">
                            <label for="diagnosa">Diagnosa</label>
                            <input type="text" name="diagnosa" class="form-control" id="diagnosa" value="<?php echo e(old('diagnosa', $rekam_medis->diagnosa)); ?>" required>
                        </div>
                        
                        <div class="form-group">
                            <label for="penanganan">Penanganan</label>
                            <textarea name="penanganan" class="form-control" id="penanganan" rows="2" required><?php echo e(old('penanganan', $rekam_medis->penanganan)); ?></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary"><?php echo e("List Layanan " . $title); ?></h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-4">
                        Layanan
                    </div>

                    <div class="col-lg-2">
                        Harga
                    </div>

                    <div class="col-lg-2">
                        Jumlah
                    </div>

                    <div class="col-lg-3">
                        Sub Total
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12" id="dynamic-field">
                        <?php $__currentLoopData = $rekam_medis->obatRm; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $obatRm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <select name="obat_id[]" class="form-control select2 obat" required>
                                        <option value="">Pilih Layanan</option>
                                        <?php $__currentLoopData = $obats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $obat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($obat->id); ?>" data-harga=<?php echo e($obat->harga); ?> <?php if( $obat->id == $obatRm->obat_id ): ?> selected <?php endif; ?> ><?php echo e($obat->nama_obat); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-lg-2">
                                <div class="form-group">
                                    <input type="number" name="harga[]" class="form-control harga" id="harga" value=<?php echo e($obatRm->harga); ?> required>
                                </div>
                            </div>
                            
                            <div class="col-lg-2">
                                <div class="form-group">
                                    <input type="text" name="jumlah[]" class="form-control jumlah" id="jumlah" required value="<?php echo e($obatRm->jumlah); ?>">
                                </div>
                            </div>

                            <div class="col-lg-3">
                                <div class="form-group">
                                    <input type="text" class="form-control sub-total" readonly>
                                </div>
                            </div>
        
                            <div class="col-lg-1 my-auto">
                                <div class="form-group">
                                    <?php if($key == 0): ?>
                                    <a href="#!" class="btn btn-success btn-sm add-button"> <i class="fa fa-plus"></i> </a>
                                    <?php else: ?>
                                    <a href="javascript:void(0);" class="btn btn-danger btn-sm remove-button"> <i class="fa fa-trash"></i> </a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>

                <h4 class="total">Total : Rp. 0</h4>
                <input type="hidden" name="total" value="0">

                <button type="submit" class="btn btn-primary float-right">Submit</button>
            </div>
        </div>
        </form>
    </div>
</div>

<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/numeral.js/2.0.6/numeral.min.js" integrity="sha512-USPCA7jmJHlCNRSFwUFq3lAm9SaOjwG8TaB8riqx3i/dAJqhaYilVnaf2eVUH5zjq89BU6YguUuAno+jpRvUqA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    function hitungTotal(){
        var total = 0;
        $('.sub-total').each(function(i, e){
            var harga = $(e).parent().parent().parent().find('.harga').val();
            var jumlah = $(e).parent().parent().parent().find('.jumlah').val();
            var subTotal = harga * jumlah;
            $(e).val(subTotal);
            total += subTotal;
        });
        
        $('.total').text('Total : Rp. ' + numeral(total).format('0,0'));
        $('input[name=total]').val(total);
    }

    function init(){
        $('.obat').change(function(){
            const hargaAwal = $(this).find(':selected').data('harga');
            const harga = $(this).parent().parent().parent().find('.harga').val(hargaAwal);
            const jumlah = $(this).parent().parent().parent().find('.jumlah').val();
            const subTotal = harga * jumlah;
            
            $(this).parent().parent().parent().find('.sub-total').val(numeral(subTotal).format('0,0')) 
            hitungTotal();
        });

        $('.jumlah').keyup(function(){
            const harga = $(this).parent().parent().parent().find('.harga').val();
            const jumlah = $(this).val();
            const subTotal = harga * jumlah;
            
            $(this).parent().parent().parent().find('.sub-total').val(numeral(subTotal).format('0,0')) 
            hitungTotal();
        });

        $('.jumlah').change(function(){
            const harga = $(this).parent().parent().parent().find('.harga').val();
            const jumlah = $(this).val();
            const subTotal = harga * jumlah;
            
            $(this).parent().parent().parent().find('.sub-total').val(numeral(subTotal).format('0,0')) 
            hitungTotal();
        });

        $('.harga').change(function(){
            const harga = $(this).val();
            const jumlah = $(this).parent().parent().parent().find('.jumlah').val();
            const subTotal = harga * jumlah;
            
            $(this).parent().parent().parent().find('.sub-total').val(numeral(subTotal).format('0,0')) 
            hitungTotal();
        });

        $('.harga').keyup(function(){
            const harga = $(this).val();
            const jumlah = $(this).parent().parent().parent().find('.jumlah').val();
            const subTotal = harga * jumlah;
            
            $(this).parent().parent().parent().find('.sub-total').val(numeral(subTotal).format('0,0')) 
            hitungTotal();
        });
    }
    
    $(document).ready(function(){
        var addButton = $('.add-button'); //Add button selector
        var wrapper = $('#dynamic-field'); //Input field wrapper
        var fieldHTML = `
        <div class="row">
            <div class="col-lg-4">
                <div class="form-group">
                    <select name="obat_id[]" class="form-control select2 obat" required>
                        <option value="">Pilih Layanan</option>
                        <?php $__currentLoopData = $obats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $obat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($obat->id); ?>" data-harga=<?php echo e($obat->harga); ?>><?php echo e($obat->nama_obat); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>

            <div class="col-lg-2">
                <div class="form-group">
                    <input type="number" name="harga[]" class="form-control harga" id="harga" required>
                </div>
            </div>

            <div class="col-lg-2">
                <div class="form-group">
                    <input type="number" name="jumlah[]" class="form-control jumlah" id="jumlah" required value=1>
                </div>
            </div>

            <div class="col-lg-3">
                <div class="form-group">
                    <input type="text" class="form-control sub-total" readonly>
                </div>
            </div>

            <div class="col-lg-1 my-auto">
                <div class="form-group">
                    <a href="javascript:void(0);" class="btn btn-danger btn-sm remove-button"> <i class="fa fa-trash"></i> </a>
                </div>
            </div>
        </div>
        `;

        hitungTotal();

        init();
        
        //Once add button is clicked
        $(addButton).click(function(){
            $(wrapper).append(fieldHTML); //Add field html
            $('.select2').select2();


            $('.remove-button').click(function(){
                $(this).parent().parent().parent().remove();
                hitungTotal();
            });

            init();

        });

    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/laravel/medis/resources/views/rekam_medis/edit.blade.php ENDPATH**/ ?>